Home > Could Not > Could Not Find A Suitable Database Driver

Could Not Find A Suitable Database Driver

If you installed PHP from a Debian or Ubuntu package, then you also need install the php5-mysql module." where from my knowledge i defiantely have mysql installed and php5-mysql. Check what's in there, including the path to php.ini * if necessary, edit php.initial to enable modules manually Full docs on configuration are available at php.net -- brion On Oct 12, Topic on Project:Support desk < Project:Support desk Jump to: navigation, search [RESOLVED] Having an issue with database driver not installed. 7 comments • 15:04, 5 May 2014 3 years ago 7 Done Building dependency tree Reading state information... this contact form

After reset the dir of extension_dir in /etc/php5/apache2/php.ini, the configuration success. $ locate mysql.so /usr/lib/perl5/auto/DBD/mysql/mysql.so /usr/lib/php5/20090626/mysql.so /usr/lib/php5/20090626/pdo_mysql.so "/etc/php5/apache2/php.ini" extension_dir = "/usr/lib/php5/20090626/" ; extension_dir = "/usr/lib/perl5/auto/DBD/mysql/" -- not this one $ sudo This is a clean installation of windows 2003 so nothing out of the ordinary has been done.[EDIT]I just checked phpinfo again. http://www.mediawiki.org/wiki/Manual:Installing_Mediawiki_on_Ubuntu_10.04 http://www.mediawiki.org/wiki/Manual:Running_MediaWiki_on_Ubuntu LAMP info: $ uname -a Linux ubuntu 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:05:27 UTC 2010 x86_64 GNU/Linux $ cat /etc/issue Ubuntu 10.04.1 LTS \n \l $ lsb_release -a cat /etc/php/php.ini | grep 'mysql.so\|mysqli.so'Should be enabled there, not in httpd.conf.OK, to explain further: php -m shows a list of available extensions/modules, but you still have to enable needed ones in

Offline #14 2012-03-01 20:08:53 rolfijn Member Registered: 2010-02-05 Posts: 17 Re: Mediawiki - PHP - MySQL: Could not find a suitable database driver! Pages: 1 #1 2011-12-07 12:09:12 ReaphSharc Member From: the Netherlands Registered: 2007-11-05 Posts: 138 Website Mediawiki - PHP - MySQL: Could not find a suitable database driver! If not, download the dll, copy it to the extension dir and enable in php.ini. I added C:\PHP to my path.I set the extensions directory in php.ini to C:\PHP\ext.I uncommented the line for the mysql extension in the list of extensions in php.ini (extension=php_mysql.dll)I've installed Mysql

Reply 15:04, 5 May 2014 3 years ago Permalink Hide Reply to "[RESOLVED] Having an issue with database driver not installed." Retrieved from "https://www.mediawiki.org/wiki/Topic:Prx1kal987ulne18" Navigation menu Personal tools EnglishNot logged inTalkContributionsCreate The Path for the php.ini is set to C:\Windows. You can find out by creating a file like the following:

After working on this for several hours it appears the answer is available at: http://www.mediawiki.org/wiki/Manual:SQ … stallationSpecifically:"Since PHP 5.1.0, SQLite depends on PDO. Thx for clarification on that matter. Distributor ID: Ubuntu Description: Ubuntu 10.04.1 LTS Release: 10.04 Codename: lucid $ apache2 -v Server version: Apache/2.2.14 (Ubuntu) Server built: Aug 19 2010 05:20:03 $ php -v PHP 5.3.2-1ubuntu4.5 with Suhosin-Patch Still mediawiki needs it, so i added it in php.ini and now i can install the wiki.

The message went away (and I'm able to install) when i moved Mediawiki to /srv/http.This is likely some kind of permission thing, but I did not investigate. I am somewhat new to this. What home printer would allow for exact alignment of front and back? MediaWiki support places are also not the right place for information about setting up PHP right in the first place.

Registered Linux User #392717 :: Blog thingy Offline #6 2011-12-07 21:16:16 Xabre Member From: Serbia Registered: 2009-03-19 Posts: 630 Re: Mediawiki - PHP - MySQL: Could not find a suitable database http://www.centos.org/forums/viewtopic.php?t=29095 If you compiled PHP yourself, reconfigure it with a database client enabled, for example using ./configure --with-mysql. All mysql modules are (and were) enabled in php.ini. I've tried several over the past few years, but for this project, MediaWiki well be my best choice.

Can I say something to an ally when it's not my turn and we are both in combat? weblink I have running 1.8.0 here without any problems. Can it be a bug in MediaWiki 1.18.0?This is a very annoying problem since at work (I'm a sysadmin) this sort of setup with Ubuntu or Redhat is just a few See http://www.php.net/manual/en/book.mysql.php Reply 13:52, 6 October 2012 4 years ago Permalink Hide Reply to "Media Wiki Installed troubles" Retrieved from "https://www.mediawiki.org/wiki/Topic:Quibhxygdixvslyr" Navigation menu Personal tools EnglishNot logged inTalkContributionsCreate accountLog in Namespaces

Registered: Mar 15, 2002Posts: 25973 Posted: Fri Oct 13, 2006 5:08 pm Yup, major PITA, not just to set up but to administer, keep up to date, fix crashes, etc...If you Upon accessing it via a browser, a mediawiki page was displayed directing me to set up the wiki. i am using window server. http://asmwsoft.net/could-not/could-not-find-a-suitable-database-driver-ubuntu.html Done >> Building dependency tree >> Reading state information...

I went ahead and put my php.ini file into C:\Windows, restarted IIS, and boom! Forum Fellow Registered: 2006-11-26 Posts: 5,819 Re: Mediawiki - PHP - MySQL: Could not find a suitable database driver! Too bad mediawiki didn't fix is message for windows users.

Did you figure this out?

ReaphSharc wrote:I've installed Apache, MySQL and PHP, edited the Apache config to handle php files, and php.ini to enable the MySQL modules (both). Reply 20:16, 9 February 2011 6 years ago Permalink Hide 202.40.139.164 (talkcontribs) It works! Unfortunately, I get this error when trying to install MediaWiki (1.18.0):http://localhost/wiki/mw-config/index.php wrote:PHP 5.3.8 is installed.Could not find a suitable database driver! I'm having the same problem: phpinfo and php - m say the mysql extension is enabled, but Media Wiki says it's not.

Does a phpinfo file list the mysql modules? 4AA4 767B BC9C 4B1D 18AE 28B7 7F2D 434B 9741 E8AC Offline #11 2011-12-09 09:45:27 ReaphSharc Member From: the Netherlands Registered: 2007-11-05 Posts: 138 hi,well i got the same Problem as explained in the title. There's none on my system, can't find one with pacman and can't find a mod_mysql.so-like file on my system either. http://asmwsoft.net/could-not/could-not-find-a-suitable-database-driver-mysql.html There should be a file named "php_mysql.dll".

This is most likely a problem in your config files. However, I don't understand what it means to compile PHP using "--with-mysql". I put in test.php that runs phpinfo().